// include the MIDlet supper class
import javax.microedition.midlet.MIDlet;
// include the GUI libraries of MIDP
import javax.microedition.lcdui.*;
// include Java Random utility
import java.util.Random;

/******************************************************************************/
/* All MIDlet applications must extend the MIDlet class.                          */
/******************************************************************************/
public class MyClass extends MIDlet implements CommandListener {
  private Display midletDisplay; 	// Reference to Display object
  private Command cmdGuess; 		// Command Button to guess the Number
  private Command cmdExit;		// Command Button to exit the MIDlet
  private Form frmMain;			// Main form
  private TextField txtAnswer; 		// Text field to store Answer
  private Random rand = new Random();	// Initialize Random Seek
  private int RandomNumber = 0;		// Random Number
 
  // Define the no-argument constructor
  public MyClass() {
    // Retrieve the display from the static display object
    midletDisplay = Display.getDisplay(this);

    // Textfield for Username and Password
    cmdGuess = new Command("Guess", Command.SCREEN, 1);
    cmdExit = new Command("Exit", Command.EXIT, 1);

    // Textfield for Username and Password
    txtAnswer = new TextField("Answer", "", 8, TextField.NUMERIC);

    // The main form
    frmMain = new Form("Guess Number");
    
    // Read the appropriate image    
    try {      
      frmMain.append(new ImageItem(null, Image.createImage("/game.png"), ImageItem.LAYOUT_CENTER, null));    
    } catch (java.io.IOException e) {
      System.err.println("Unable to locate or read the PNG file");    
    }

    // Create Form, add Commands and textfield, listen for events
    frmMain.append(txtAnswer);
    frmMain.addCommand(cmdExit);
    frmMain.addCommand(cmdGuess);
    frmMain.setCommandListener(this);  
    
    // Display the ticker on top   
    Ticker t = new Ticker("Welcome! I have a number for 1-9. Let's guess what is it.");    
    frmMain.setTicker(t);    
  }

  // Called by application manager to start the MIDlet.
  public void startApp() {
    // Random a number between 0 to 9
    RandomNumber = Math.abs(rand.nextInt())%10;
  	
    // Set the current display of the midlet to the Form
    midletDisplay.setCurrent(frmMain);
  }

  // PauseApp is used to suspend background activities and release resources 
  // on the device when the midlet is not active.
  public void pauseApp() {
  }

  // DestroyApp is used to stop background activities and release
  // resources on the device when the midlet is at the end of its life cycle.
  public void destroyApp(boolean unconditional) {
  }

  // Implement the event handling method defined in the CommandListener interface.
  public void commandAction(Command c, Displayable s) {
  	System.out.println(RandomNumber);
    
    if (c == cmdGuess) {
      Alert al = null;	    	// Output Alert      

      try {    
        if (Integer.parseInt(txtAnswer.getString()) == RandomNumber) {
          al = new Alert("Congratulation", "You are correct!", Image.createImage("/correct.png"), AlertType.CONFIRMATION);
        } else if (Integer.parseInt(txtAnswer.getString()) > RandomNumber) {
          al = new Alert("Sorry", "Your number is too large", Image.createImage("/error.png"), AlertType.ERROR);
        } else if (Integer.parseInt(txtAnswer.getString()) < RandomNumber) {
          al = new Alert("Sorry", "Your number is too small", Image.createImage("/error.png"), AlertType.ERROR);
        } 
      } catch (java.io.IOException e) {
        System.err.println("Unable to locate or read the PNG file");        
      }
    
      // Display the Alert on screen      
      midletDisplay.setCurrent(al);	
    } else if (c == cmdExit) {
      notifyDestroyed();
    }
  }  
}
